spark-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From r...@apache.org
Subject spark git commit: [SPARK-15525][SQL][BUILD] Upgrade ANTLR4 SBT plugin
Date Wed, 25 May 2016 22:35:59 GMT
Repository: spark
Updated Branches:
  refs/heads/master ee682fe29 -> 527499b62


[SPARK-15525][SQL][BUILD] Upgrade ANTLR4 SBT plugin

## What changes were proposed in this pull request?
The ANTLR4 SBT plugin has been moved from its own repo to one on bintray. The version was
also changed from `0.7.10` to `0.7.11`. The latter actually broke our build (ihji has fixed
this by also adding `0.7.10` and others to the bin-tray repo).

This PR upgrades the SBT-ANTLR4 plugin and ANTLR4 to their most recent versions (`0.7.11`/`4.5.3`).
I have also removed a few obsolete build configurations.

## How was this patch tested?
Manually running SBT/Maven builds.

Author: Herman van Hovell <hvanhovell@questtec.nl>

Closes #13299 from hvanhovell/SPARK-15525.


Project: http://git-wip-us.apache.org/repos/asf/spark/repo
Commit: http://git-wip-us.apache.org/repos/asf/spark/commit/527499b6
Tree: http://git-wip-us.apache.org/repos/asf/spark/tree/527499b6
Diff: http://git-wip-us.apache.org/repos/asf/spark/diff/527499b6

Branch: refs/heads/master
Commit: 527499b624e743583fe0f93ea0b487031891ac3a
Parents: ee682fe
Author: Herman van Hovell <hvanhovell@questtec.nl>
Authored: Wed May 25 15:35:38 2016 -0700
Committer: Reynold Xin <rxin@databricks.com>
Committed: Wed May 25 15:35:38 2016 -0700

----------------------------------------------------------------------
 dev/deps/spark-deps-hadoop-2.2 | 2 +-
 dev/deps/spark-deps-hadoop-2.3 | 2 +-
 dev/deps/spark-deps-hadoop-2.4 | 2 +-
 dev/deps/spark-deps-hadoop-2.6 | 2 +-
 dev/deps/spark-deps-hadoop-2.7 | 2 +-
 pom.xml                        | 7 +------
 project/plugins.sbt            | 5 +----
 7 files changed, 7 insertions(+), 15 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/spark/blob/527499b6/dev/deps/spark-deps-hadoop-2.2
----------------------------------------------------------------------
diff --git a/dev/deps/spark-deps-hadoop-2.2 b/dev/deps/spark-deps-hadoop-2.2
index 0ac1c00..0d6b18e 100644
--- a/dev/deps/spark-deps-hadoop-2.2
+++ b/dev/deps/spark-deps-hadoop-2.2
@@ -3,7 +3,7 @@ RoaringBitmap-0.5.11.jar
 ST4-4.0.4.jar
 antlr-2.7.7.jar
 antlr-runtime-3.4.jar
-antlr4-runtime-4.5.2-1.jar
+antlr4-runtime-4.5.3.jar
 aopalliance-1.0.jar
 aopalliance-repackaged-2.4.0-b34.jar
 apache-log4j-extras-1.2.17.jar

http://git-wip-us.apache.org/repos/asf/spark/blob/527499b6/dev/deps/spark-deps-hadoop-2.3
----------------------------------------------------------------------
diff --git a/dev/deps/spark-deps-hadoop-2.3 b/dev/deps/spark-deps-hadoop-2.3
index fa35fa7..a3597f4 100644
--- a/dev/deps/spark-deps-hadoop-2.3
+++ b/dev/deps/spark-deps-hadoop-2.3
@@ -4,7 +4,7 @@ ST4-4.0.4.jar
 activation-1.1.1.jar
 antlr-2.7.7.jar
 antlr-runtime-3.4.jar
-antlr4-runtime-4.5.2-1.jar
+antlr4-runtime-4.5.3.jar
 aopalliance-1.0.jar
 aopalliance-repackaged-2.4.0-b34.jar
 apache-log4j-extras-1.2.17.jar

http://git-wip-us.apache.org/repos/asf/spark/blob/527499b6/dev/deps/spark-deps-hadoop-2.4
----------------------------------------------------------------------
diff --git a/dev/deps/spark-deps-hadoop-2.4 b/dev/deps/spark-deps-hadoop-2.4
index 99dffa9..3ca44c5 100644
--- a/dev/deps/spark-deps-hadoop-2.4
+++ b/dev/deps/spark-deps-hadoop-2.4
@@ -4,7 +4,7 @@ ST4-4.0.4.jar
 activation-1.1.1.jar
 antlr-2.7.7.jar
 antlr-runtime-3.4.jar
-antlr4-runtime-4.5.2-1.jar
+antlr4-runtime-4.5.3.jar
 aopalliance-1.0.jar
 aopalliance-repackaged-2.4.0-b34.jar
 apache-log4j-extras-1.2.17.jar

http://git-wip-us.apache.org/repos/asf/spark/blob/527499b6/dev/deps/spark-deps-hadoop-2.6
----------------------------------------------------------------------
diff --git a/dev/deps/spark-deps-hadoop-2.6 b/dev/deps/spark-deps-hadoop-2.6
index a3bee36..01e7551 100644
--- a/dev/deps/spark-deps-hadoop-2.6
+++ b/dev/deps/spark-deps-hadoop-2.6
@@ -4,7 +4,7 @@ ST4-4.0.4.jar
 activation-1.1.1.jar
 antlr-2.7.7.jar
 antlr-runtime-3.4.jar
-antlr4-runtime-4.5.2-1.jar
+antlr4-runtime-4.5.3.jar
 aopalliance-1.0.jar
 aopalliance-repackaged-2.4.0-b34.jar
 apache-log4j-extras-1.2.17.jar

http://git-wip-us.apache.org/repos/asf/spark/blob/527499b6/dev/deps/spark-deps-hadoop-2.7
----------------------------------------------------------------------
diff --git a/dev/deps/spark-deps-hadoop-2.7 b/dev/deps/spark-deps-hadoop-2.7
index dbd7a8e..402fd05 100644
--- a/dev/deps/spark-deps-hadoop-2.7
+++ b/dev/deps/spark-deps-hadoop-2.7
@@ -4,7 +4,7 @@ ST4-4.0.4.jar
 activation-1.1.1.jar
 antlr-2.7.7.jar
 antlr-runtime-3.4.jar
-antlr4-runtime-4.5.2-1.jar
+antlr4-runtime-4.5.3.jar
 aopalliance-1.0.jar
 aopalliance-repackaged-2.4.0-b34.jar
 apache-log4j-extras-1.2.17.jar

http://git-wip-us.apache.org/repos/asf/spark/blob/527499b6/pom.xml
----------------------------------------------------------------------
diff --git a/pom.xml b/pom.xml
index f28aa14..3fa0eeb 100644
--- a/pom.xml
+++ b/pom.xml
@@ -177,7 +177,7 @@
     <jodd.version>3.5.2</jodd.version>
     <jsr305.version>1.3.9</jsr305.version>
     <libthrift.version>0.9.2</libthrift.version>
-    <antlr4.version>4.5.2-1</antlr4.version>
+    <antlr4.version>4.5.3</antlr4.version>
     <jpam.version>1.1</jpam.version>
     <selenium.version>2.52.0</selenium.version>
     <paranamer.version>2.8</paranamer.version>
@@ -1954,11 +1954,6 @@
         </plugin>
         <plugin>
           <groupId>org.antlr</groupId>
-          <artifactId>antlr3-maven-plugin</artifactId>
-          <version>3.5.2</version>
-        </plugin>
-        <plugin>
-          <groupId>org.antlr</groupId>
           <artifactId>antlr4-maven-plugin</artifactId>
           <version>${antlr4.version}</version>
         </plugin>

http://git-wip-us.apache.org/repos/asf/spark/blob/527499b6/project/plugins.sbt
----------------------------------------------------------------------
diff --git a/project/plugins.sbt b/project/plugins.sbt
index 44ec3a1..4578b56 100644
--- a/project/plugins.sbt
+++ b/project/plugins.sbt
@@ -20,7 +20,4 @@ libraryDependencies += "org.ow2.asm"  % "asm" % "5.0.3"
 
 libraryDependencies += "org.ow2.asm"  % "asm-commons" % "5.0.3"
 
-// TODO I am not sure we want such a dep.
-resolvers += "simplytyped" at "http://simplytyped.github.io/repo/releases"
-
-addSbtPlugin("com.simplytyped" % "sbt-antlr4" % "0.7.10")
+addSbtPlugin("com.simplytyped" % "sbt-antlr4" % "0.7.11")


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@spark.apache.org
For additional commands, e-mail: commits-help@spark.apache.org


Mime
View raw message